<?php
   $target='orden';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Movimientos/estados.php"); 

   $nombrepagina = "CERRAR ORDEN DE SERVICIO";
   encabezado($target);
   $user=$_SESSION['validar'];
   //entrada($user,$_GET['id_user'],$_GET['suc']);
   //$nombre_u=$nombre_usuario;
   //$pass=$password;    
     $filas=1;   
      if($filas == 1)
	{ 
	 //$conn=mysql_connect("localhost", "root", "1234");
	 //menu($id_user);
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
 
		 mostrar_cabeza_trabajo($nombrepagina);	 

?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Cerrar Orden ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
ODS:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="orden" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Cerrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){
		//echo "No ha dado click en boton";
     }else{
	
class cierraOrden{
	  var $crearObj;
	  var $conexionObj;
	  var $estado;
	  
	function validar($orden){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM ordenes WHERE orden='".$orden."'");
			if(mysql_num_rows($rst_validar)>=1){
				$this->cerrarOrden($orden);
			}else{
				$msgBOX2 = "Orden No Existe en Sistema.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";				
			}
	
	}
	function cerrarOrden($orden){
			//echo "INSERT INTO usuarios VALUES ('0','".$nombre."','".$username."','".$pass."','".$usertype."')";
	 		$rst_insertar=$this->conexionObj->modificar("UPDATE ordenes SET cerrada_fecha = current_date(), cerrada_hora = current_time(), cerrada = '1', cerrada_por = ".$_GET['id_user']." WHERE orden = '".$orden."' AND cerrada_fecha IS NULL");
			$affected_rows=mysql_affected_rows();
			if($affected_rows>=1){
			    $msgBOX2 = "La Orden Fue Cerrada.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				//echo "Usuario Creado Exitosamente";
			}else{
			    $msgBOX2 = "La Orden No Pudo Ser Cerrada.";
	  		    echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			    //echo "Usuario No Pudo ser Creado";
			}
	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$cierraOrdenObj=new cierraOrden();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
//$crearEstadosObj->setCrear($_POST['guia']);

// LAMANDO EL METODO DE NEGOCIO
$cierraOrdenObj->validar($_POST['orden']);

	
	 }
		 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <?
        pie_de_pagina();
        ?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>